org.apache.olingo.ext.proxy.api

## Enum OperationType

- java.lang.Object
- - java.lang.Enum<OperationType>
  - - org.apache.olingo.ext.proxy.api.OperationType

- All Implemented Interfaces:
    Serializable, Comparable<OperationType>

      public enum OperationType
      extends Enum<OperationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTION` Actions MAY have observable side effects and MAY return a single instance or a collection of instances of any type.
    `FUNCTION` Functions MUST NOT have observable side effects and MUST return a single instance or a collection of instances of any type.
    `LEGACY` Function or action (not specified explicitly).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OperationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OperationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEGACY

          public static final OperationType LEGACY

      Function or action (not specified explicitly).
      OData V3 only.

    - #### FUNCTION

          public static final OperationType FUNCTION

      Functions MUST NOT have observable side effects and MUST return a single instance or a collection of instances of any type. Functions MAY be composable.

    - #### ACTION

          public static final OperationType ACTION

      Actions MAY have observable side effects and MAY return a single instance or a collection of instances of any type. Actions cannot be composed with additional path segments.

  - ### Method Detail

    - #### values

          public static OperationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperationType c : OperationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.